'\" te
.\" Copyright (c) 2006, Sun Microsystems, Inc. All Rights Reserved.
.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
.TH fex_merge_flags 3M "12 Jul 2006" "SunOS 5.11" "Mathematical Library Functions"
.SH NAME
fex_merge_flags \- manage the floating point environment
.SH SYNOPSIS
.LP
.nf
c99 [ \fIflag\fR... ] \fIfile\fR... -lm [ \fIlibrary\fR... ]
#include <fenv.h> 

\fBvoid\fR \fBfex_merge_flags\fR(\fBconst fenv_t *\fR\fIenvp\fR);
.fi

.SH DESCRIPTION
.sp
.LP
The \fBfex_merge_flags()\fR function copies into the current environment those
exception flags that are set in the environment represented by the object
pointed to by \fIenvp\fR.  The argument \fIenvp\fR must point to an object set
by a call to \fBfeholdexcept\fR(3M) or \fBfegetenv\fR(3M) or equal to the macro
\fBFE_DFL_ENV\fR.  The \fBfex_merge_flags()\fR function does not raise any
exceptions, but only sets its flags.
.SH RETURN VALUES
.sp
.LP
The \fBfex_merge_flags\fR function does not return a value.
.SH ATTRIBUTES
.sp
.LP
See \fBattributes\fR(5) for descriptions of the following attributes:
.sp

.sp
.TS
tab() box;
lw(2.75i) lw(2.75i) 
lw(2.75i) lw(2.75i) 
.
ATTRIBUTE TYPEATTRIBUTE VALUE
AvailabilitySUNWlibms, SUNWlmsx
Interface StabilityStable
MT-LevelMT-Safe
.TE

.SH SEE ALSO
.sp
.LP
\fBfeclearexcept\fR(3M), \fBfegetenv\fR(3M), \fBfesetround\fR(3M),
\fBfesetprec\fR(3M), \fBfex_set_handling\fR(3M), \fBfex_set_log\fR(3M),
\fBattributes\fR(5)
.sp
.LP
\fINumerical Computation Guide\fR
.SH NOTES
.sp
.LP
In a multithreaded program, the \fBfex_merge_flags()\fR function affects the
floating point environment only for the calling thread.
.sp
.LP
The \fBfex_merge_flags()\fR function automatically installs and deinstalls
\fBSIGFPE\fR handlers and sets and clears the trap enable mode bits in the
floating point status register as needed.  If a program uses these functions
and attempts to install a \fBSIGFPE\fR handler or control the trap enable mode
bits independently, the resulting behavior is not defined.
